## ros-kinetic-dsr-msgs 0.9.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dsr_msgs)

find_package(catkin REQUIRED COMPONENTS
    std_msgs
    message_generation
)

add_message_files(
    FILES
    RobotError.msg
    RobotState.msg
    RobotStop.msg
)

add_service_files(
    FILES
    ./motion/MoveJoint.srv
    ./motion/MoveLine.srv
    ./motion/MoveJointx.srv
    ./motion/MoveCircle.srv
    ./motion/MoveSplineJoint.srv
    ./motion/MoveSplineTask.srv
    ./motion/MoveBlending.srv
    ./motion/MoveSpiral.srv
    ./motion/MovePeriodic.srv
    ./motion/MoveWait.srv

    ./tool/ConfigCreateTool.srv
    ./tool/ConfigDeleteTool.srv
    ./tool/SetCurrentTool.srv
    ./tool/GetCurrentTool.srv

    ./tcp/ConfigCreateTcp.srv
    ./tcp/ConfigDeleteTcp.srv
    ./tcp/SetCurrentTcp.srv
    ./tcp/GetCurrentTcp.srv

    ./io/SetToolDigitalOutput.srv
    ./io/GetToolDigitalInput.srv
    ./io/SetCtrlBoxDigitalOutput.srv
    ./io/GetCtrlBoxDigitalInput.srv
    ./io/SetCtrlBoxAnalogInputType.srv
    ./io/SetCtrlBoxAnalogOutputType.srv
    ./io/SetCtrlBoxAnalogOutput.srv
    ./io/GetCtrlBoxAnalogInput.srv

    ./modbus/ConfigCreateModbus.srv
    ./modbus/ConfigDeleteModbus.srv
    ./modbus/SetModbusOutput.srv
    ./modbus/GetModbusInput.srv

    ./drl/DrlStart.srv
    ./drl/DrlStop.srv
    ./drl/DrlPause.srv
    ./drl/DrlResume.srv

    ./gripper/Robotiq2FClose.srv
    ./gripper/Robotiq2FOpen.srv
    ./gripper/Robotiq2FMove.srv
    ./gripper/SerialSendData.srv

)

generate_messages(
    DEPENDENCIES
    std_msgs
) 

catkin_package(
    CATKIN_DEPENDS std_msgs message_runtime
)

=== debian/changelog ===
ros-kinetic-dsr-msgs (0.9.6-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Doosan Robotics <ros.robotics@doosan.com>  Mon, 22 Apr 2019 01:55:26 -0000

ros-kinetic-dsr-msgs (0.9.5-1xenial) xenial; urgency=high

  * edit dsr_msgs
  * 20190403 update
  * 20190403 update
  * Contributors: doosan-robotics

 -- Doosan Robotics <ros.robotics@doosan.com>  Sun, 21 Apr 2019 15:00:00 -0000

ros-kinetic-dsr-msgs (0.9.4-1xenial) xenial; urgency=high

  * Emulator commit
  * Contributors: doosan-robotics

 -- Doosan Robotics <ros.robotics@doosan.com>  Sun, 31 Mar 2019 15:00:00 -0000

ros-kinetic-dsr-msgs (0.9.3-1xenial) xenial; urgency=high



 -- Doosan Robotics <ros.robotics@doosan.com>  Wed, 27 Mar 2019 15:00:00 -0000

ros-kinetic-dsr-msgs (0.9.1-1xenial) xenial; urgency=high

  * py example
  * Contributors: doosan-robotics
  * py example
  * Contributors: doosan-robotics

 -- Doosan Robotics <ros.robotics@doosan.com>  Tue, 26 Mar 2019 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-dsr-msgs
Section: misc
Priority: extra
Maintainer: Doosan Robotics <ros.robotics@doosan.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: http://wiki.ros.org/doosan_robotics
Standards-Version: 3.9.2

Package: ros-kinetic-dsr-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: The dsr_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-dsr-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
